{"openapi":"3.1.0","info":{"title":"PUT /api/v1/inventory/transfers/{transfer_id}","version":"1.0.0","description":"Update transfer"},"servers":[{"url":"https://api.ondayzero.com","description":"Production"}],"paths":{"/api/v1/inventory/transfers/{transfer_id}":{"put":{"tags":["inventory:transfers"],"summary":"Update transfer","description":"Update an existing transfer. Only draft/pending transfers can be updated.","operationId":"update_transfer_api_v1_inventory_transfers__transfer_id__put","parameters":[{"name":"transfer_id","in":"path","required":true,"schema":{"type":"string","title":"Transfer Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}},{"name":"x-business-id","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Business-Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TransferUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TransferResponse"}}}},"400":{"description":"Bad Request - Invalid input","content":{"application/json":{"example":{"detail":"Invalid request parameters"}}}},"401":{"description":"Unauthorized - Authentication required","content":{"application/json":{"example":{"detail":"Not authenticated"}}}},"403":{"description":"Forbidden - Insufficient permissions","content":{"application/json":{"example":{"detail":"Not enough permissions"}}}},"404":{"description":"Not Found - Resource does not exist","content":{"application/json":{"example":{"detail":"Resource not found"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"LocationSummary":{"properties":{"id":{"type":"string","title":"Id"},"name":{"type":"string","title":"Name"},"code":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Code"},"location_type":{"$ref":"#/components/schemas/LocationTypeEnum"},"is_default":{"type":"boolean","title":"Is Default"}},"type":"object","required":["id","name","location_type","is_default"],"title":"LocationSummary","description":"Minimal location info for embedding in other responses."},"LocationTypeEnum":{"type":"string","enum":["warehouse","store","virtual","drop_ship","office","supplier","manufacturer","packaging","copacker","other"],"title":"LocationTypeEnum","description":"Types of inventory locations."},"TransferItemResponse":{"properties":{"variant_id":{"type":"string","title":"Variant Id","description":"Variant being transferred"},"quantity":{"type":"integer","exclusiveMinimum":0.0,"title":"Quantity","description":"Quantity to transfer"},"notes":{"anyOf":[{"type":"string","maxLength":500},{"type":"null"}],"title":"Notes"},"id":{"type":"string","title":"Id"},"transfer_id":{"type":"string","title":"Transfer Id"},"received_quantity":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Received Quantity"},"has_damage":{"type":"boolean","title":"Has Damage","default":false},"damage_notes":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Damage Notes"},"final_quantity":{"type":"integer","title":"Final Quantity"},"has_discrepancy":{"type":"boolean","title":"Has Discrepancy"},"discrepancy_amount":{"type":"integer","title":"Discrepancy Amount"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"},"variant_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Variant Name"},"variant_sku":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Variant Sku"}},"type":"object","required":["variant_id","quantity","id","transfer_id","final_quantity","has_discrepancy","discrepancy_amount","created_at","updated_at"],"title":"TransferItemResponse","description":"Schema for transfer item response."},"TransferResponse":{"properties":{"id":{"type":"string","title":"Id"},"business_id":{"type":"string","title":"Business Id"},"transfer_number":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Transfer Number"},"status":{"$ref":"#/components/schemas/TransferStatusEnum"},"from_location_id":{"type":"string","title":"From Location Id"},"to_location_id":{"type":"string","title":"To Location Id"},"from_location":{"anyOf":[{"$ref":"#/components/schemas/LocationSummary"},{"type":"null"}]},"to_location":{"anyOf":[{"$ref":"#/components/schemas/LocationSummary"},{"type":"null"}]},"transfer_date":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"Transfer Date"},"expected_arrival_date":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"Expected Arrival Date"},"received_date":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"Received Date"},"tracking_number":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Tracking Number"},"carrier":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Carrier"},"notes":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Notes"},"items":{"items":{"$ref":"#/components/schemas/TransferItemResponse"},"type":"array","title":"Items","default":[]},"total_items":{"type":"integer","title":"Total Items","default":0},"total_quantity":{"type":"integer","title":"Total Quantity","default":0},"total_received_quantity":{"type":"integer","title":"Total Received Quantity","default":0},"has_discrepancy":{"type":"boolean","title":"Has Discrepancy","default":false},"is_editable":{"type":"boolean","title":"Is Editable","default":false},"can_ship":{"type":"boolean","title":"Can Ship","default":false},"can_receive":{"type":"boolean","title":"Can Receive","default":false},"can_cancel":{"type":"boolean","title":"Can Cancel","default":false},"shipped_by_user_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Shipped By User Id"},"received_by_user_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Received By User Id"},"version":{"type":"integer","title":"Version","default":1},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"}},"type":"object","required":["id","business_id","status","from_location_id","to_location_id","created_at","updated_at"],"title":"TransferResponse","description":"Schema for transfer response."},"TransferStatusEnum":{"type":"string","enum":["draft","pending","in_transit","received","cancelled"],"title":"TransferStatusEnum","description":"Status of an inventory transfer."},"TransferUpdate":{"properties":{"transfer_number":{"anyOf":[{"type":"string","maxLength":50},{"type":"null"}],"title":"Transfer Number"},"transfer_date":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"Transfer Date"},"expected_arrival_date":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"Expected Arrival Date"},"tracking_number":{"anyOf":[{"type":"string","maxLength":255},{"type":"null"}],"title":"Tracking Number"},"carrier":{"anyOf":[{"type":"string","maxLength":100},{"type":"null"}],"title":"Carrier"},"notes":{"anyOf":[{"type":"string","maxLength":2000},{"type":"null"}],"title":"Notes"}},"type":"object","title":"TransferUpdate","description":"Schema for updating a transfer."},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}},"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"API Token","description":"API token authentication. Format: `Bearer dz_...`"}}},"security":[{"BearerAuth":[]}]}